Update Followup Settings
Update the followup settings for an action
PATCH
/
conversation-ai
/
agents
/
{agentId}
/
followup-settings
Update Followup Settings
curl --request PATCH \
--url https://services.leadconnectorhq.com/conversation-ai/agents/{agentId}/followup-settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"actionIds": [
"edxcfghbnjkimd"
],
"followupSettings": {
"dynamicChannelSwitching": true,
"followUpHours": true,
"workingHours": [
{
"dayOfTheWeek": 1,
"intervals": [
{
"startHour": 9,
"startMinute": 0,
"endHour": 17,
"endMinute": 30
}
]
}
]
}
}
'const options = {
method: 'PATCH',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
actionIds: ['edxcfghbnjkimd'],
followupSettings: {
dynamicChannelSwitching: true,
followUpHours: true,
workingHours: [
{
dayOfTheWeek: 1,
intervals: [{startHour: 9, startMinute: 0, endHour: 17, endMinute: 30}]
}
]
}
})
};
fetch('https://services.leadconnectorhq.com/conversation-ai/agents/{agentId}/followup-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/conversation-ai/agents/{agentId}/followup-settings"
payload = {
"actionIds": ["edxcfghbnjkimd"],
"followupSettings": {
"dynamicChannelSwitching": True,
"followUpHours": True,
"workingHours": [
{
"dayOfTheWeek": 1,
"intervals": [
{
"startHour": 9,
"startMinute": 0,
"endHour": 17,
"endMinute": 30
}
]
}
]
}
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "actionId123",
"name": "Trigger Workflow",
"type": "triggerWorkflow",
"details": {
"workflowIds": [
"workflow123",
"workflow456"
],
"triggerCondition": "When user requests appointment",
"triggerMessage": "Workflow triggered successfully"
},
"agentId": "agentId123"
},
"success": true
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Authorizations
Access Token or Private Integration Token
Headers
API Version
Available options:
2021-04-15 Path Parameters
Body
application/json
Last modified on March 7, 2026
Was this page helpful?
⌘I
Update Followup Settings
curl --request PATCH \
--url https://services.leadconnectorhq.com/conversation-ai/agents/{agentId}/followup-settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"actionIds": [
"edxcfghbnjkimd"
],
"followupSettings": {
"dynamicChannelSwitching": true,
"followUpHours": true,
"workingHours": [
{
"dayOfTheWeek": 1,
"intervals": [
{
"startHour": 9,
"startMinute": 0,
"endHour": 17,
"endMinute": 30
}
]
}
]
}
}
'const options = {
method: 'PATCH',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
actionIds: ['edxcfghbnjkimd'],
followupSettings: {
dynamicChannelSwitching: true,
followUpHours: true,
workingHours: [
{
dayOfTheWeek: 1,
intervals: [{startHour: 9, startMinute: 0, endHour: 17, endMinute: 30}]
}
]
}
})
};
fetch('https://services.leadconnectorhq.com/conversation-ai/agents/{agentId}/followup-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/conversation-ai/agents/{agentId}/followup-settings"
payload = {
"actionIds": ["edxcfghbnjkimd"],
"followupSettings": {
"dynamicChannelSwitching": True,
"followUpHours": True,
"workingHours": [
{
"dayOfTheWeek": 1,
"intervals": [
{
"startHour": 9,
"startMinute": 0,
"endHour": 17,
"endMinute": 30
}
]
}
]
}
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "actionId123",
"name": "Trigger Workflow",
"type": "triggerWorkflow",
"details": {
"workflowIds": [
"workflow123",
"workflow456"
],
"triggerCondition": "When user requests appointment",
"triggerMessage": "Workflow triggered successfully"
},
"agentId": "agentId123"
},
"success": true
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}